# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.storage.CredentialRecord.Builder

Packages that use CredentialRecord.Builder
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.storage
Storage APIs for WebAuthn.

## Uses of CredentialRecord.Builder in net.shibboleth.idp.plugin.authn.webauthn.storage

Methods in net.shibboleth.idp.plugin.authn.webauthn.storage that return CredentialRecord.Builder
Modifier and Type
Method
Description
`CredentialRecord.Builder`
CredentialRecord.`toBuilder()`
Get a builder based on this record which can be updated until it is finalised and built.
Constructors in net.shibboleth.idp.plugin.authn.webauthn.storage with parameters of type CredentialRecord.Builder
Modifier
Constructor
Description
`private`
`CredentialRecord(CredentialRecord.Builder builder)`
Builder constructor.